InfoTagsHandler (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.doc.info.InfoTagsHandler class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.doc.info
Class InfoTagsHandler

    java.lang.Object
      xdoclet.template.TemplateTagHandler
          xdoclet.XDocletTagSupport
              xdoclet.modules.doc.info.InfoTagsHandler

public class InfoTagsHandler
extends XDocletTagSupport

Version:
  $Revision: 1.9 $
Author:
  Aslak Hellesøy
xdoclet.taghandler
  namespace="Info"
created
  Oct 15, 2001

Field Summary

Fields inherited from class xdoclet.XDocletTagSupport
`FOR_CLASS, FOR_CONSTRUCTOR, FOR_FIELD, FOR_METHOD, PARAMETER_DELIMITER`

Constructor Summary
`InfoTagsHandler()`

Method Summary
`String` | `classTagValue()` Describe what the method does
`String` | `constructorTagValue()` Describe what the method does
`String` | `fieldTagValue()` Describe what the method does
`void` | `forAllClassTags(String template)` Describe what the method does
`void` | `forAllConstructorTags(String template)` Describe what the method does
`void` | `forAllFieldTags(String template)` Describe what the method does
`void` | `forAllMethodTags(String template)` Describe what the method does
`void` | `ifTagCountNotZero(String template, Properties properties)` Describe what the method does
`String` | `methodTagValue()` Describe what the method does
`String` | `projectname()` Describe what the method does
`String` | `rootlink()` Describe what the method does
`String` | `tagCount(Properties properties)` Describe what the method does

Methods inherited from class xdoclet.XDocletTagSupport
`delimit, expandClassName, generate, getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getDocletContext, getEngine, getExpandedDelimitedTagValue, getTagValue, getTagValue, getTagValue, hasHavingClassTag, hasTag, isTagValueEqual, mandatoryParamNotFound, mandatoryTemplateTagParamNotFound, modifiers, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class xdoclet.template.TemplateTagHandler
`getXJavaDoc, setXJavaDoc`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InfoTagsHandler

    public InfoTagsHandler()

Method Detail

### ifTagCountNotZero

    public void ifTagCountNotZero(String template,
                                  Properties properties)
                           throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
    `properties` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### tagCount

    public String tagCount(Properties properties)
                    throws XDocletException

  Describe what the method does

  Parameters:
    `properties` - Describe what the parameter does
  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### classTagValue

    public String classTagValue()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### fieldTagValue

    public String fieldTagValue()
                         throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### constructorTagValue

    public String constructorTagValue()
                               throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### methodTagValue

    public String methodTagValue()
                          throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### forAllClassTags

    public void forAllClassTags(String template)
                         throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllConstructorTags

    public void forAllConstructorTags(String template)
                               throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllMethodTags

    public void forAllMethodTags(String template)
                          throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### forAllFieldTags

    public void forAllFieldTags(String template)
                         throws XDocletException

  Describe what the method does

  Parameters:
    `template` - Describe what the parameter does
  Throws:
    `XDocletException` - Describe the exception

### projectname

    public String projectname()
                       throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

### rootlink

    public String rootlink()
                    throws XDocletException

  Describe what the method does

  Returns:
    Describe the return value
  Throws:
    `XDocletException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD